This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 698678 - Can't parse /etc/fstab containing fscontext
Can't parse /etc/fstab containing fscontext
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 10:14 EDT by Matthew Booth
Modified: 2011-12-05 09:52 EST (History)
3 users (show)

See Also:
Fixed In Version: augeas-0.8.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-05 09:52:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2011-04-21 10:14:21 EDT
Description of problem:
The following is common in /etc/fstab on RHEL 4:

/dev/hdc                /media/cdrecorder       auto    pamconsole,fscontext=system_u:object_r:removable_t,exec,noauto,managed 0 0

augeas in F14 can't currently parse this. There's an upstream fix:
34901627c5f3ba097056c4473bce86c82e26dee3

Associated test is here:
64053878b81bc0e24fee28697bdeef375aa8de63

Version-Release number of selected component (if applicable):
augeas-libs-0.8.0-1.fc14.x86_64
Comment 1 Matthew Booth 2011-04-21 10:25:30 EDT
I see there's already a new 0.8.1 build containing this fix.

Note You need to log in before you can comment on or make changes to this bug.